Package networkx :: Package drawing :: Module nx_pydot

[frames | no frames]

## Module networkx.drawing.nx_pydot

Import and export networkx networks to dot format using pydot.

References:
  - pydot Homepage: http://www.dkbza.org/pydot.html
  - Graphviz: http://www.research.att.com/sw/tools/graphviz/
  - DOT Language: http://www.research.att.com/~erg/graphviz/info/lang.html

Function Summary
| ``networkx_from_pydot`(D, result)` Creates an networkx graph from an pydot graph D
| ``pydot_from_networkx`(N)` Creates a pydot graph from an networkx graph N
| ``pydot_layout`(G, **kwds)` Create layout using pydot and graphviz.
| ``read_dot`(path)` Creates an networkx graph from a dot file
| ``write_dot`(G, path)` Write G to a graphviz dot file.

Variable Summary
`str` | `__author__` = `'Aric Hagberg (hagberg@lanl.gov)'`
`str` | `__credits__` = `''`
`str` | `__date__` = `'$Date: 2005-06-15 08:55:33 -0600 (Wed, 15 Ju...`
`str` | `__revision__` = `'$Revision: 1034 $'`

Function Details

### networkx_from_pydot(D, result=False)

Creates an networkx graph from an pydot graph D

### pydot_from_networkx(N)

Creates a pydot graph from an networkx graph N

### pydot_layout(G, **kwds)

Create layout using pydot and graphviz. Returns a dictionary of positions keyed by node.

    >>> pos=pydot_layout(G)
    >>> pos=pydot_layout(G,prog="twopi")

### read_dot(path=False)

Creates an networkx graph from a dot file

### write_dot(G, path=False)

Write G to a graphviz dot file.

Variable Details

### __author__

  Type:
    `str`
  Value:

        'Aric Hagberg (hagberg@lanl.gov)'

### __credits__

  Type:
    `str`
  Value:

        ''

### __date__

  Type:
    `str`
  Value:

        '$Date: 2005-06-15 08:55:33 -0600 (Wed, 15 Jun 2005) $'

### __revision__

  Type:
    `str`
  Value:

        '$Revision: 1034 $'

Generated by Epydoc 2.1 on Sun Aug 21 08:06:58 2005 | http://epydoc.sf.net